qgis crashes when editing the table of attributes.

2014-11-25 08:28 AM - Benoit Pescher

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.6.0 Regression?: No

Operating System: opensuse Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19971

Description

Hi

After an update of qgis, when I fill an field in a attribute table with text, it occures a shutdown of qgis.

thanks

History

#1 - 2014-11-25 08:45 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

- Assignee deleted (Benoit Pescher)

- Status changed from Open to Feedback

- Subject changed from crash to qgis crashes when editing the table of attributes.

is the (edited) title correct?

can you attach sample data?

have you tried removing/disabling all 3rd party plugin, restart qgis and try again?

Can you try also renaming the .qgis2 folder?

thanks.

#2 - 2014-11-25 11:28 PM - Benoit Pescher

- File diagnostic.dbf.tar.gz added

the new title is correct, thank you.

I tried disabling  all 3rd party plugin and renaming the .qgis2 folder but the problem is the same.

You will find the shapefile in attachment

#3 - 2014-11-26 01:21 PM - Giovanni Manghi

Benoit Pescher wrote:

the new title is correct, thank you.

I tried disabling  all 3rd party plugin and renaming the .qgis2 folder but the problem is the same.
You will find the shapefile in attachment

cannot confirm the crash, works fine here on qgis 2.6 and master on Ubuntu Linux and Windows.

does it works ok on systems other than yours?

#4 - 2014-12-01 11:02 PM - Benoit Pescher

- Status changed from Feedback to Closed

I don't try with an other system but I create a new shapefile and a new project and it works fine.

Files

diagnostic.dbf.tar.gz 561 KB 2014-11-25 Benoit Pescher
